Skip to main content
POST
/
v1
/
wallet
/
fund-card
curl -X POST https://api.saturn-pay.com/v1/wallet/fund-card \
  -H "Authorization: Bearer sk_agt_..." \
  -H "Content-Type: application/json" \
  -d '{
    "amountUsdCents": 1000
  }'
{
  "checkoutUrl": "https://checkout.stripe.com/c/pay/cs_live_...",
  "sessionId": "cs_live_abc123",
  "amountUsdCents": 1000,
  "expiresAt": "2024-01-20T16:00:00Z"
}
Creates a Stripe checkout session for adding funds via credit/debit card.

Request

amountUsdCents
number
required
Amount in USD cents to add to wallet. Minimum: 1000 ($10.00)

Response

checkoutUrl
string
Stripe checkout URL. Redirect the user here to complete payment.
sessionId
string
Stripe session ID for tracking
amountUsdCents
number
Amount that will be charged
expiresAt
string
ISO 8601 timestamp when session expires
curl -X POST https://api.saturn-pay.com/v1/wallet/fund-card \
  -H "Authorization: Bearer sk_agt_..." \
  -H "Content-Type: application/json" \
  -d '{
    "amountUsdCents": 1000
  }'
{
  "checkoutUrl": "https://checkout.stripe.com/c/pay/cs_live_...",
  "sessionId": "cs_live_abc123",
  "amountUsdCents": 1000,
  "expiresAt": "2024-01-20T16:00:00Z"
}

Notes

  • Minimum amount: $10.00 (1000 cents)
  • Session expires after 30 minutes
  • Credits are added after successful payment (usually instant)
  • Standard card processing fees apply